<?php
//error_reporting(0);
date_default_timezone_set('Asia/Jakarta');
$tanggal = mktime(date("m"), date("d"), date("Y"));
$tglsekarang = date("d-m-Y", $tanggal);

$classTr = new transaksi();
$format = new format();
$crud = new crudData;
$link = new linkpage;
$direct = new toast();
if (isset($_POST['tanggal1'])) {
    $tgl_1 = $_POST['tanggal1'];
} else {
    $tgl_1 = $tglsekarang;
};
if (isset($_POST['tanggal2'])) {
    $tgl_2 = $_POST['tanggal2'];
} else {
    $tgl_2 = $tglsekarang;
};

if (isset($_POST['penerima']) && $_POST['penerima'] != "Semua") {
    $penerima_lap = $_POST['penerima'];
    $val_penerima = $classTr->namaPenerimaByID($penerima_lap);
} else {
    $penerima_lap = "Semua";
    // $val_penerima = "Semua";
    $val_penerima = $crud->getValue('user', " where id='$user_id'", 'nama');
};

if (isset($_POST['jenjang'])) {
    $jenjang_lap = $_POST['jenjang'];
} else {
    $jenjang_lap = "Semua";
};
if (isset($_POST['paralel'])) {
    $paralel_lap = $_POST['paralel'];
} else {
    $paralel_lap = "Semua";
};
if (isset($_POST['metode'])) {
    $metode_lap = $_POST['metode'];
} else {
    $metode_lap = "Semua";
};


if (isset($_POST['penerima']) && $_POST['penerima'] != 'Semua') {
    $penerima_filter = "and penerima='$penerima_lap'";
} else {
    $penerima_filter = "";
};
if (isset($_POST['jenjang']) && $_POST['jenjang'] != 'Semua') {
    $jenjang_filter = "and jenjang='$jenjang_lap'";
} else {
    $jenjang_filter = "";
};
if (isset($_POST['paralel']) && $_POST['paralel'] != 'Semua') {
    $paralel_filter = "and paralel='$paralel_lap'";
} else {
    $paralel_filter = "";
};
if (isset($_POST['metode']) && $_POST['metode'] != 'Semua') {
    $metode_filter = "and metode='$metode_lap'";
} else {
    $metode_filter = "";
};



$penerimaID = $crud->getValue('user', "where id='$user_id' || id_user='$user_id'", 'user_id');
$tgl1 = $format->dateToEng($tgl_1);
$tgl2 = $format->dateToEng($tgl_2);
?>
<div class="content-wrapper">

    <?php require('./layout/headerpage.php'); ?>

    <div class="container col-12 mb-4 pb-5">
        <div class="row">
            <div class="col-12">
                <div class="col-12">
                    <div class="card  mx-3">
                        <div class="timeline-header bg-primary  py-2 pl-2">
                            <b class="text-light judul"><span class="bi bi-calculator"></span> Laporan Transaksi</b>
                        </div>


                    </div>
                </div>
                <div class="col-12 ml-3">
                    <?php $modal->linkModal('view/laporan/rekapitulasi/modal_siswa', 'generateKategori', 'qr-code', 'GENERATE KATEGORI', 'primary'); ?>
                </div>
                <div class="card-body mx-4">

                    <?php // echo $link->exportXlsxLapTransaksi1('laporan/transaksi/print_excel_rekap', $tahun, $tgl_1, $tgl_2, $metode_lap, $jenjang_lap, $paralel_lap, $penerima_lap); 
                    ?>

                    <label>
                        <h6><b class="text-primary">REKAPITULASI PEMBAYARAN</b></h6>

                    </label>

                    <table id="" class="table table-condensed table-sm mb-4">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Kategori Siswa</th>
                                <th width="90">L</th>
                                <th width="90">P</th>
                                <th width="90">Jml</th>
                                <th width="90">Non Aktif</th>
                                <th>Tanggungan</th>
                                <th>Terbayar</th>
                                <th>Kurang</th>

                                <th>Progres</th>
                                <th>Persen</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $classForm = new form();

                            $sekolah = new sekolah();
                            $grafik = new aks_grafik();
                            $crud = new crudData();
                            $format = new format();
                            $clslistTanggungan = new listTanggungan();
                            $classTrans = new transaksi();
                            $linkpost = new linkpost;
                            $kategori = $classForm->optSelect($tb_siswa, " group by kategori order by kategori asc");
                            while ($data = $kategori->fetch(PDO::FETCH_OBJ)) {
                                //$jenjang_opt = $datatingkat->{$jenjang};
                                $jmlSiswa = $crud->countData($tb_siswa, "where kategori='$data->kategori'");
                                $kelas = $data->jenjang;

                                $l = $crud->countData($tb_siswa, "where kelamin='L' and status='Aktif' and kategori='$data->kategori'");
                                $p = $crud->countData($tb_siswa, "where kelamin='P' and status='Aktif' and kategori='$data->kategori'");
                                $na = $crud->countData($tb_siswa, "where status!='Aktif' and kategori='$data->kategori'");
                                $jml = $l + $p;


                                $tanggungan = $clslistTanggungan->tanggunganSiswaIf($tb_siswa, " kategori='$data->kategori'");
                                $terbayar = @($crud->sum($tb_transaksi, 'jumlah', "where kategori='$data->kategori'"));
                                $kurang = @($tanggungan) - @($terbayar);
                                $persen = $format->persen($terbayar, $tanggungan);

                                $progresBar = $grafik->progresBar($persen);
                                echo "
                                        <tr>
                                            <td width='5px'>#</td>
                                            <td align=left >Kategori $data->kategori</td>
                                             <td align='left'>" . $format->ribuan($l) . "</td>
                                            <td align='left'>" . $format->ribuan($p) . "</td>
                                            <td align='left'>" . $format->ribuan($jml) . "</td>
                                            <td align='left'>$na</td>
                                            <td align=right > " . $format->ribuan($tanggungan) . "</td>
                                            <td align=right > " . $format->ribuan($terbayar) . "</td>
                                            <td align=right > " . $format->ribuan($kurang) . "</td>
                                            <td align='left'>$progresBar </td>
                                            <td align=right > <span class='badge bg-secondary'>" . $format->ribuan($persen) . "</span></td>
                                            <td width='50px' align='center'>
                                                " . $linkpost->IDKategori($data->kategori, 'laporan/rekapitulasi/laporan_kategori_detail', $data->kategori, $data->jenjang, $tahun, '', 'bar-chart-line', 'primary') . "
                                            </td>
                                        </tr>";
                                $classLaporan = new laporan();
                                $jenisBayar = $classLaporan->ShowjenisBayar($tahun, $jenjang_opt);
                            };
                            echo "
                                <tr>
                                    <td colspan='2'><b>JUMLAH</b></td>
                                    <td align='left'><b>" . $format->ribuan($crud->countData($tb_siswa, "where kelamin='L' and status='Aktif'")) . "</b></td>
                                    <td align='left'><b>" . $format->ribuan($crud->countData($tb_siswa, "where kelamin='P' and status='Aktif'")) . "</b></td>
                                    <td align='left'><b>" . $format->ribuan($crud->countData($tb_siswa, "where status='Aktif'")) . "</b></td>
                                    <td align='left'><b>" . $format->ribuan($crud->countData($tb_siswa, "where status!='Aktif'")) . "</b></td>
                                    <td align='right'><b>" . $format->ribuan($clslistTanggungan->tanggunganSiswaIf($tb_siswa, " jenjang!=''")) . "</b></td>
                                    <td align='right'><b>" . $format->ribuan(@($crud->sum($tb_transaksi, 'jumlah', ''))) . "</b></td>
                                    <td align='right'><b>" . $format->ribuan($clslistTanggungan->tanggunganSiswaIf($tb_siswa,  " jenjang!=''") - @($crud->sum($tb_transaksi, 'jumlah', ''))) . "</b></td>
                                    <td align='left'><b>" . $grafik->progresBar($format->persen(@($crud->sum($tb_transaksi, 'jumlah', '')), $clslistTanggungan->tanggunganSiswaIf($tb_siswa,  " jenjang!=''"))) . "</b></td>
                                    <td align='right'><span class='badge bg-secondary'>" . $format->persen(@($crud->sum($tb_transaksi, 'jumlah', '')), $clslistTanggungan->tanggunganSiswaIf($tb_siswa,  " jenjang!=''")) . " %</span> </td>
                                    </tr>";
                            ?>

                        </tbody>
                    </table>
                </div>


            </div>
        </div>
    </div>
</div>

<?php

if (isset($_POST['generateKategori'])) {
    $siswa = new siswa();
    echo $siswa->generateKategori($tahun);
    echo  $direct->redirect('toast', 'generateKategori', 'laporan/rekapitulasi/laporan_kategori');
};
